CREATE TABLE Gravadora (
  id BIGINT NOT NULL IDENTITY,
  nome VARCHAR(100) NOT NULL,
  PRIMARY KEY(id)
);

CREATE TABLE Venda (
  id BIGINT NOT NULL IDENTITY,
  dataVenda DATETIME NULL,
  PRIMARY KEY(id)
);

CREATE TABLE Artista (
  id BIGINT NOT NULL IDENTITY,
  nome VARCHAR(100) NOT NULL,
  banda BIT NULL,
  pais VARCHAR(50) NOT NULL,
  PRIMARY KEY(id)
);

CREATE TABLE CD (
  id BIGINT NOT NULL IDENTITY,
  idGravadora BIGINT,
  idArtista BIGINT NOT NULL,
  nome VARCHAR(100) NOT NULL,
  faixas LONGVARCHAR NULL,
  preco FLOAT NOT NULL,
  foto BINARY NULL,
  duplo BIT NULL,
  PRIMARY KEY(id),
  FOREIGN KEY(idArtista)
    REFERENCES Artista(id)
      ON DELETE NO ACTION
      ON UPDATE NO ACTION
);

CREATE TABLE ItemVenda (
  idVenda BIGINT NOT NULL,
  idCD BIGINT NOT NULL,
  PRIMARY KEY(idVenda, idCD),
  FOREIGN KEY(idVenda)
    REFERENCES Venda(id)
      ON DELETE NO ACTION
      ON UPDATE NO ACTION,
  FOREIGN KEY(idCD)
    REFERENCES CD(id)
      ON DELETE NO ACTION
      ON UPDATE NO ACTION
);
